summaryrefslogtreecommitdiff
path: root/contrib/hooks/pre-auto-gc-battery
diff options
context:
space:
mode:
authorLibravatar Junio C Hamano <gitster@pobox.com>2008-04-19 21:12:24 -0700
committerLibravatar Junio C Hamano <gitster@pobox.com>2008-04-19 21:12:24 -0700
commita2fa254bd24c6f21c66869fc74b56b0aa1719851 (patch)
tree8de45d648286825d2fca04fcc0c2c9ac343b112a /contrib/hooks/pre-auto-gc-battery
parentMerge branch 'py/submodule' (diff)
parentcontrib/hooks: add an example pre-auto-gc hook (diff)
downloadtgif-a2fa254bd24c6f21c66869fc74b56b0aa1719851.tar.xz
Merge branch 'mv/defer-gc'
* mv/defer-gc: contrib/hooks: add an example pre-auto-gc hook Documentation/hooks: add pre-auto-gc hook git-gc --auto: add pre-auto-gc hook
Diffstat (limited to 'contrib/hooks/pre-auto-gc-battery')
-rw-r--r--contrib/hooks/pre-auto-gc-battery36
1 files changed, 36 insertions, 0 deletions
diff --git a/contrib/hooks/pre-auto-gc-battery b/contrib/hooks/pre-auto-gc-battery
new file mode 100644
index 0000000000..0096f57b7e
--- /dev/null
+++ b/contrib/hooks/pre-auto-gc-battery
@@ -0,0 +1,36 @@
+#!/bin/sh
+#
+# An example hook script to verify if you are on battery, in case you
+# are running Linux. Called by git-gc --auto with no arguments. The hook
+# should exit with non-zero status after issuing an appropriate message
+# if it wants to stop the auto repacking.
+#
+# This hook is stored in the contrib/hooks directory. Your distribution
+# may have put this somewhere else. If you want to use this hook, you
+# should make this script executable then link to it in the repository
+# you would like to use it in.
+#
+# For example, if the hook is stored in
+# /usr/share/git-core/contrib/hooks/pre-auto-gc-battery:
+#
+# chmod a+x pre-auto-gc-battery
+# cd /path/to/your/repository.git
+# ln -sf /usr/share/git-core/contrib/hooks/pre-auto-gc-battery \
+# hooks/pre-auto-gc
+
+if test -x /sbin/on_ac_power && /sbin/on_ac_power
+then
+ exit 0
+elif test "$(cat /sys/class/power_supply/AC/online 2>/dev/null)" = 1
+then
+ exit 0
+elif grep -q 'on-line' /proc/acpi/ac_adapter/AC/state 2>/dev/null
+then
+ exit 0
+elif grep -q '0x01$' /proc/apm 2>/dev/null
+then
+ exit 0
+fi
+
+echo "Auto packing deferred; not on AC"
+exit 1